Generates a certificate signer request for the specified Queue Agent and alias
GET/qsystem/rest/config/agent/:agentId/security/certificate/:alias/signerRequest
Generates a certificate signer request for the specified Queue Agent and alias. This call only works on distributed Queue Agents with version 3.2 or higher. A certificate signer request must not have been previously generated. To be able to re-generate the certificate signer request, the previous request must be cancelled first (see DELETE operation on same path).
Example:
curl -i -X GET -u user:password http://ip:port/qsystem/rest/config/agent/{agentId}/security/certificate/{alias}/signerRequest
Request
Responses
- 200